%define upstream_name clamd

Name:           python-%{upstream_name}
Version:        1.0.2
Release:        %mkrel 6
Summary:        Python interface to Clamd (Clamav daemon)
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/clamd
Source0:        https://pypi.python.org/packages/source/c/clamd/clamd-%{version}.tar.gz
BuildArch:      noarch

%description
clamd is a portable Python module to use the ClamAV anti-virus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%package -n     python3-%{upstream_name}
Summary:        Python interface to Clamd (Clamav daemon)
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
clamd is a portable Python module to use the ClamAV anti-virus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc CHANGES.rst README.rst
%{python3_sitelib}/clamd
%{python3_sitelib}/clamd-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-6.mga9
+ Revision: 1823882
- Mageia 9 Mass Rebuild
+ danf <danf>
- Fix the package description

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.2-5.mga9
+ Revision: 1785591
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.2-4.mga9
+ Revision: 1732812
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.0.2-3.mga8
+ Revision: 1608262
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1536556
- Mageia 8 Mass Rebuild

* Sat Oct 19 2019 guillomovitch <guillomovitch> 1.0.2-1.mga8
+ Revision: 1454601
- new version 1.0.2
- drop python 2 support

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-10.mga7
+ Revision: 1288411
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.0.1-9.mga7
+ Revision: 1168694
- add BR on python2dist(d2to1) thus fixing build

* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-8.mga6
+ Revision: 939879
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 743632
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 728182
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 687932
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 544942
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 500492
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.0.1-1.mga4
+ Revision: 468873
- imported package python-clamd

